import React, {useEffect} from 'react';
import {
  View,
  Text,
  Image,
  StatusBar,
  StyleSheet,
  SafeAreaView,
  ImageBackground,
} from 'react-native';
import R from '../../assets/R';
import {getFontXD, HEIGHT} from '../../Config/Functions';
import LinearGradient from 'react-native-linear-gradient';
import {connect} from 'react-redux';
import {HEIGHTXD} from '../../Config/Functions';
const HeaderHome = (props) => {
  return (
    <ImageBackground style={styles.img} source={R.images.headerHome}>
      <StatusBar backgroundColor="transparent" translucent={true} />
    </ImageBackground>
  );
};

const mapStateToProps = (state) => {
  return {
    user: state.userReducer,
  };
};

export default connect(mapStateToProps, {})(HeaderHome);

const styles = StyleSheet.create({
  container: {
    height: HEIGHT(65),
    paddingHorizontal: 10,
    flexDirection: 'row',
    paddingTop: 15,
    backgroundColor: R.colors.red,
  },
  img: {
    height: HEIGHTXD(788),
    width: '100%',

    justifyContent: 'center',
  },
});
